Name: qmpdclient
Version: 1.0.8
Release: alt2

Summary: Qt4-based mpd client
License: GPL
Group: Sound
Url: http://havtknut.tihlde.org/qmpdclient/

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Source0: %url/files/%name-%version.tar.gz

Source1: %url/files/translations/ru_RU.ts
Source2: %url/files/iconsets/oxygen.tar.gz
Source3: %url/files/iconsets/Rodent.tar.gz
Source4: %url/files/iconsets/qmpdclient_silk_iconsets.zip
Source5: %url/files/styles/Rain.css

BuildPreReq: gcc-c++ libqt4-devel >= 4.2.0 unzip

Requires: libqt4 >= 4.2.0

#Suggests: notification-daemon

%description
QMPDClient is an easy to use MPD client written in Qt 4.1.

%prep
%setup
cp %SOURCE1 .
%__subst 's,/home/h/Projects/qmpdclient/qmpdclient/icons/qmpdclient22.png,%_iconsdir/hicolor/22x22/apps/%name.png,' \
	src/notifications_dbus.cpp

%build
export PATH=$PATH:%_qt4dir/bin
%__subst 's,/local,,' qmpdclient.pro
qmake
%__subst 's|-pipe |%optflags -fno-strict-aliasing |g' Makefile
%make_build
lrelease *.ts

%install
%makeinstall INSTALL_ROOT=%buildroot
for i in 16 22 32 64 128; do
    install -pD -m644 icons/qmpdclient$i.png %buildroot%_iconsdir/hicolor/${i}x$i/apps/%name.png
done
install -pD -m644 icons/svg/qmpdclient.svg %buildroot%_iconsdir/hicolor/scalable/apps/%name.svg

mkdir -p %buildroot%_datadir/QMPDClient/{iconsets,styles,translations}/
install -pD -m644 *.qm %buildroot%_datadir/QMPDClient/translations/

for i in %SOURCE2 %SOURCE3; do
    tar xf $i -C %buildroot%_datadir/QMPDClient/iconsets/
done

for i in %SOURCE4; do
    unzip -q $i -d %buildroot%_datadir/QMPDClient/iconsets/
done
rm -f %buildroot%_datadir/QMPDClient/iconsets/Readme.txt
rm -f %buildroot%_datadir/QMPDClient/iconsets/*/[Tt]humbs.db

install -pD -m644 %SOURCE5 %buildroot%_datadir/QMPDClient/styles/

%files
%_bindir/*
%_datadir/QMPDClient/
%_iconsdir/hicolor/*/apps/%name.*
%doc AUTHORS Changelog INSTALL README THANKSTO

%changelog
* Fri Jan 04 2008 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.8-alt2
- add Russian translation
- fix icon path for dbus notifier
- add styles and iconsets from official site

* Sun Jul 01 2007 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.8-alt1
- 1.0.8

* Thu Dec 21 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.7-alt1
- 1.0.7

* Tue Dec 19 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.6.2-alt2
- use optflags (drool@)
- install and package bundled icons

* Sat Oct 21 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.6.2-alt1
- 1.0.6.2

* Fri Oct 13 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.6.1-alt1
- 1.0.6.1

* Sat Sep 30 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.5-alt1
- initial build
